Bug 84432 - Layout Tests fast/filesystem/* are failing
Summary: Layout Tests fast/filesystem/* are failing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Windows 7
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-20 04:43 PDT by Mikhail Naganov
Modified: 2012-12-11 00:06 PST (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Naganov 2012-04-20 04:43:20 PDT
The following layout tests are failing on Chromium Windows

fast/filesystem/op-restricted-unicode.html
fast/filesystem/op-restricted-names.html
fast/filesystem/read-directory.html
fast/filesystem/simple-readonly-file-object.html

http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=fast%2Ffilesystem%2Fop-restricted-names.html%2Cfast%2Ffilesystem%2Fop-restricted-unicode.html%2Cfast%2Ffilesystem%2Fread-directory.html%2Cfast%2Ffilesystem%2Fsimple-readonly-file-object.html

Probable cause:

See the layout test results: http://build.chromium.org/buildbot/layout_test_results/Webkit_Win7/133172

Tests terminate with errors
Comment 2 noel gordon 2012-12-10 23:39:52 PST
One of you might flip a coin: the winner could rebase (rather than leave the results failing for a month).
Comment 3 noel gordon 2012-12-10 23:48:45 PST
http://trac.webkit.org/changeset/137257
Comment 4 Chris Dumez 2012-12-10 23:51:06 PST
Committed r137259: <http://trac.webkit.org/changeset/137259>
Comment 5 noel gordon 2012-12-10 23:59:45 PST
@christophe.dumez that last commit doesn't look right to me.
Comment 6 noel gordon 2012-12-11 00:00:52 PST
And to be clear, I mean http://trac.webkit.org/changeset/137259 was not a patch from me.
Comment 7 Chris Dumez 2012-12-11 00:03:03 PST
(In reply to comment #6)
> And to be clear, I mean http://trac.webkit.org/changeset/137259 was not a patch from me.

Yes, I'm not sure what happened. I used webkit-patch to land my change and it somehow used the wrong changelog entry for the commit.

What can I do?
Comment 8 noel gordon 2012-12-11 00:06:53 PST
(In reply to comment #7)

> Yes, I'm not sure what happened. I used webkit-patch to land my change and it somehow used the wrong changelog entry for the commit.

Our fingers are synchronized :)

> What can I do?

Two options: 1) Roll out, and resubmit again with the right ChangeLog, or 2) Correct the ChangeLog and land that manually.  1) is easy :)